VisualEditor: Character inserter does not inherit annotations of context (no pre-annotation), so breaks up links, isn't styled, etc.
Closed, ResolvedPublic

Description

When adding a special character via the new tool,
this will not retain styles applied to what was being typed; that is,
it will not appear for example in bold or italics.


Version: unspecified
Severity: minor

bzimport set Reference to bz60476.
Elitre created this task.Via LegacyJan 27 2014, 4:52 PM
Jdforrester-WMF added a comment.Via ConduitMay 20 2014, 12:40 AM
  • Bug 65497 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitSep 1 2014, 6:28 PM
  • Bug 70265 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitSep 1 2014, 6:28 PM

Change 157703 had a related patch set uploaded by Jforrester:
Annotate inserted special characters

https://gerrit.wikimedia.org/r/157703

gerritbot added a comment.Via ConduitSep 1 2014, 6:31 PM

Change 157703 merged by jenkins-bot:
Annotate inserted special characters

https://gerrit.wikimedia.org/r/157703

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.